com.h3c.of.lib.err

## Enum ECodeBadAction

- java.lang.Object
- - java.lang.Enum<ECodeBadAction>
  - - com.h3c.of.lib.err.ECodeBadAction

- All Implemented Interfaces:
    ErrorCode, OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<ECodeBadAction>

      public enum ECodeBadAction
      extends Enum<ECodeBadAction>
      implements ErrorCode

  Designates the error codes associated with the `ErrorType.BAD_ACTION` error type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD_ARGUMENT` Bad action argument; Since 1.0.
    `BAD_EXP_TYPE` Unknown action for experimenter id; Since 1.0.
    `BAD_EXPERIMENTER` Unknown experimenter id specified; Since 1.0.
    `BAD_LEN` Length problem in actions; Since 1.0.
    `BAD_OUT_GROUP` Invalid group id in forward action; Since 1.1.
    `BAD_OUT_PORT` Problem validating output port; Since 1.0.
    `BAD_QUEUE` Problem validating output queue; Since 1.0.
    `BAD_SET_ARGUMENT` Bad argument in Set-Field action; Since 1.2.
    `BAD_SET_LEN` Length problem in Set-Field action; Since 1.2.
    `BAD_SET_TYPE` Unsupported type in Set-Field action; Since 1.2.
    `BAD_TAG` Action uses an unsupported tag or encapsulation; Since 1.1.
    `BAD_TYPE` Unknown action type; Since 1.0.
    `EPERM` Permissions error; Since 1.0.
    `MATCH_INCONSISTENT` Action can’t apply for this match, or Set-Field missing prerequisite; Since 1.1.
    `TOO_MANY` Can’t handle this many actions; Since 1.0.
    `UNSUPPORTED_ORDER` Action order is unsupported for the action list in an Apply-Actions instruction; Since 1.1.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `ErrorType` | `parentType()` Returns the parent error type for this error code.
    `static void` | `validate(ECodeBadAction code, ProtocolVersion pv)` Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
    `static ECodeBadAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ECodeBadAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BAD_TYPE

          public static final ECodeBadAction BAD_TYPE

      Unknown action type; Since 1.0.

    - #### BAD_LEN

          public static final ECodeBadAction BAD_LEN

      Length problem in actions; Since 1.0.

    - #### BAD_EXPERIMENTER

          public static final ECodeBadAction BAD_EXPERIMENTER

      Unknown experimenter id specified; Since 1.0. (Renamed from `BAD_VENDOR` at 1.1.)

    - #### BAD_EXP_TYPE

          public static final ECodeBadAction BAD_EXP_TYPE

      Unknown action for experimenter id; Since 1.0. (Renamed from `BAD_VENDOR_TYPE` at 1.1.) (Renamed from `BAD_EXPERIMENTER_TYPE` at 1.2)

    - #### BAD_OUT_PORT

          public static final ECodeBadAction BAD_OUT_PORT

      Problem validating output port; Since 1.0.

    - #### BAD_ARGUMENT

          public static final ECodeBadAction BAD_ARGUMENT

      Bad action argument; Since 1.0.

    - #### EPERM

          public static final ECodeBadAction EPERM

      Permissions error; Since 1.0.

    - #### TOO_MANY

          public static final ECodeBadAction TOO_MANY

      Can’t handle this many actions; Since 1.0.

    - #### BAD_QUEUE

          public static final ECodeBadAction BAD_QUEUE

      Problem validating output queue; Since 1.0.

    - #### BAD_OUT_GROUP

          public static final ECodeBadAction BAD_OUT_GROUP

      Invalid group id in forward action; Since 1.1.

    - #### MATCH_INCONSISTENT

          public static final ECodeBadAction MATCH_INCONSISTENT

      Action can’t apply for this match, or Set-Field missing prerequisite; Since 1.1.

    - #### UNSUPPORTED_ORDER

          public static final ECodeBadAction UNSUPPORTED_ORDER

      Action order is unsupported for the action list in an Apply-Actions instruction; Since 1.1.

    - #### BAD_TAG

          public static final ECodeBadAction BAD_TAG

      Action uses an unsupported tag or encapsulation; Since 1.1.

    - #### BAD_SET_TYPE

          public static final ECodeBadAction BAD_SET_TYPE

      Unsupported type in Set-Field action; Since 1.2.

    - #### BAD_SET_LEN

          public static final ECodeBadAction BAD_SET_LEN

      Length problem in Set-Field action; Since 1.2.

    - #### BAD_SET_ARGUMENT

          public static final ECodeBadAction BAD_SET_ARGUMENT

      Bad argument in Set-Field action; Since 1.2.

  - ### Method Detail

    - #### values

          public static ECodeBadAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ECodeBadAction c : ECodeBadAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ECodeBadAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parentType

          public ErrorType parentType()

      Description copied from interface: `ErrorCode`
      Returns the parent error type for this error code.
      Specified by:
        `parentType` in interface `ErrorCode`
      Returns:
        the parent error type

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

    - #### validate

          public static void validate(ECodeBadAction code,
                      ProtocolVersion pv)

      Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
      Parameters:
        `code` - the code
        `pv` - the protocol version
      Throws:
        `VersionMismatchException` - if the code is not defined in the given protocol version

Copyright © 2014. All Rights Reserved.